FROM greyrook/cde-dev-base:$CI_COMMIT_SHA

RUN curl https://dl.yarnpkg.com/rpm/yarn.repo > /etc/yum.repos.d/yarn.repo && \
    dnf module enable -y nodejs:12 && \
    dnf module install -y nodejs:12/development && \
    dnf install -y yarn fontconfig \
                   ruby rubygem-json ruby-devel libffi-devel && \
    gem install bundler && \
    docker_run_cleanup
